function plot_moment_misfit(x,rmin,alpha_actual)


cla

[alpha_VC,b,c] = plfit(x); 


R = @(x,n,epsilon) sum(x.^(n))/sum(x.^(n-epsilon)); 

alpha_moment = @(x,n,epsilon,rmin) n + epsilon * (R(x,n,epsilon) / (R(x,n,epsilon) - rmin^epsilon)); 

alpha_est_p51 = alpha_moment(x,0.5,1,rmin); 
alpha_est_11 = alpha_moment(x,1,1,rmin); 
alpha_est_1p51 = alpha_moment(x,1.5,1,rmin); 


fprintf('We are using %.02f samples to contstuct a PL-distributed set with coefficient %.02f \n',length(x),alpha_actual)

fprintf('The VC method says that alpha is %0.2f \n',alpha_VC); 
fprintf('The moment method with n=0.5,epsilon=1 is %.02f \n',alpha_est_p51); 
fprintf('The moment method with n=1,epsilon=1 is %.02f \n',alpha_est_11); 
fprintf('The moment method with n=1.5,epsilon=1 is %.02f \n',alpha_est_1p51); 

epsilon = 1;
n = linspace(0,alpha_actual,50); 

for i = 1:length(n)

alpha_ests(i) = alpha_moment(x,n(i),epsilon,rmin); 

end

scatter(n,alpha_ests)
hold on
plot(n,0*n + alpha_VC,'-b')
plot(n,0*n + alpha_actual,'-k'); 
plot(0*n + alpha_actual - 1,linspace(0,5,50),'--r'); 
xlabel('n'); 
ylabel('alpha'); 
legend('Moment-Based','VC','Actual','Moment Limit')




